
%%                                               RENAME GROUP OF FILES 3.0

%                                                Fabio Crameri, 26.10.2018
clear, clc

%% USER INPUT
SWITCH.deleteOriginals          = logical(0);       %copies updated files to new directory

%files
IN.filename                   	= '+test*';        	%use * for multiple files
IN.filestem                  	= '/work/plotTest/+im/test_fslip/';

%excluded files
IN.files2exclude              	= '.dat';       	%excludes files that contain this string

%new directory 
IN.directory2copy2            	= './';             %'./' for same directory

%replace string:
SWITCH.ReplaceString            = logical(1);
    IN.oldString              	= 'test';
    IN.newString               	= 'test_old';

%remove string from the front:
SWITCH.RemoveStringFront        = logical(0);
    IN.lenStr2removeFront     	= 5;

%remove string from the back:
SWITCH.RemoveStringBack         = logical(0);
    IN.lenStr2removeBack     	= 2;
    IN.startPoint2removeAtBack	= 4;

%number files sequently:
SWITCH.NumberSequently          = logical(0);
    IN.startNumber            	= 1;
    IN.stepNumber             	= 1;
    IN.numDigits              	= 2;                %e.g., _00001
    IN.positionOfNumberFromBack = 3;

%--------------------------------------------------------------------------
% do not make changes to the code below this line

%% CHECK CODE STATUS
fAIo.app='RF';
fAIo.appVersion=3.0;
fAIo.appDate='26-Oct-2018';
[fAIo] = f_AIoRF(fAIo,'StartUp',SWITCH,IN);

%% WINDOWS COMPATIBILITY
if ispc
    IN.filename          	= strrep(IN.filename,'/','\');
    IN.filestem            	= strrep(IN.filestem,'/','\');
    IN.directory2copy2  	= strrep(IN.directory2copy2,'/','\');
    IN.files2exclude        = strrep(IN.files2exclude,'/','\');
end

%% RENAME FILES
[fAIo] = f_AIoRF(fAIo,'RenameFiles',SWITCH,IN);